<?php

declare(strict_types=1);

namespace App\Dictionary\Patient;

/**
 * 民族
 */
enum Nation: int
{
    case HAN = 1;
    case MONGOL = 2;
    case HUI = 3;
    case TIBETAN = 4;
    case UYGHUR = 5;
    case MIAO = 6;
    case YI = 7;
    case ZHUANG = 8;
    case BUYI = 9;
    case KOREAN = 10;
    case MANCHU = 11;
    case DONG = 12;
    case YAO = 13;
    case BAI = 14;
    case TUJIA = 15;
    case HANI = 16;
    case KAZAKH = 17;
    case DAI = 18;
    case LI = 19;
    case LISU = 20;
    case VA = 21;
    case SHE = 22;
    case GAOSHAN = 23;
    case LAKA = 24;
    case SUI = 25;
    case DONGXIANG = 26;
    case NAXI = 27;
    case JINGPO = 28;
    case KIRGIZ = 29;
    case TU = 30;
    case DAUR = 31;
    case Mulao = 32;
    case QIANG = 33;
    case BLANG = 34;
    case SALAR = 35;
    case MAONAN = 36;
    case GELAO = 37;
    case XIBE = 38;
    case Achang = 39;
    case PUMI = 40;
    case TAJIK = 41;
    case NU = 42;
    case UZBEK = 43;
    case RUSSIAN = 44;
    case EWENKI = 45;
    case DEANG = 46;
    case BAOAN = 47;
    case YUGUR = 48;
    case JING = 49;
    case TAT = 50;
    case DUOLUO = 51;
    case OROGEN = 52;
    case HEZHEN = 53;
    case MENBA = 54;
    case LHOBA = 55;
    case JINO = 56;
    case OTHER = 99;

    /**
     * Label string
     */
    public function label(): string
    {
        return match ($this) {
            self::HAN => '汉族',
            self::MONGOL => '蒙古族',
            self::HUI => '回族',
            self::TIBETAN => '藏族',
            self::UYGHUR => '维吾尔族',
            self::MIAO => '苗族',
            self::YI => '彝族',
            self::ZHUANG => '壮族',
            self::BUYI => '布依族',
            self::KOREAN => '朝鲜族',
            self::MANCHU => '满族',
            self::DONG => '侗族',
            self::YAO => '瑶族',
            self::BAI => '白族',
            self::TUJIA => '土家族',
            self::HANI => '哈尼族',
            self::KAZAKH => '哈萨克族',
            self::DAI => '傣族',
            self::LI => '黎族',
            self::LISU => '傈僳族',
            self::VA => '佤族',
            self::SHE => '畲族',
            self::GAOSHAN => '高山族',
            self::LAKA => '拉祜族',
            self::SUI => '水族',
            self::DONGXIANG => '东乡族',
            self::NAXI => '纳西族',
            self::JINGPO => '景颇族',
            self::KIRGIZ => '柯尔克孜族',
            self::TU => '土族',
            self::DAUR => '达斡尔族',
            self::Mulao => '仫佬族',
            self::QIANG => '羌族',
            self::BLANG => '布朗族',
            self::SALAR => '撒拉族',
            self::MAONAN => '毛南族',
            self::GELAO => '仡佬族',
            self::XIBE => '锡伯族',
            self::Achang => '阿昌族',
            self::PUMI => '普米族',
            self::TAJIK => '塔吉克族',
            self::NU => '怒族',
            self::UZBEK => '乌孜别克族',
            self::RUSSIAN => '俄罗斯族',
            self::EWENKI => '鄂温克族',
            self::DEANG => '德昂族',
            self::BAOAN => '保安族',
            self::YUGUR => '裕固族',
            self::JING => '京族',
            self::TAT => '塔塔尔族',
            self::DUOLUO => '独龙族',
            self::OROGEN => '鄂伦春族',
            self::HEZHEN => '赫哲族',
            self::MENBA => '门巴族',
            self::LHOBA => '珞巴族',
            self::JINO => '基诺族',
            self::OTHER => '其他',
        };
    }
}
