<?php
declare(strict_types = 1);

namespace App\Http\Resources\Outpatient\Record;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class RecordListsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request = null): array
    {
        $this->resource = xmlArrayToListByKey($this->resource, 'RECORD');

        $lists = [];
        foreach ($this->resource['RECORD'] as $v) {
            $lists[] = [
                'patient_id' => $v['PATIENTID'],
                'patient_name' => $v['NAME'],
                'sex' => $v['SEX'],
                'charge_type' => $v['CHARGETYPE'],
                'visit_date' => $v['VISITDATE'],
                'receipt_id' => $v['RCPTID'],
                'receipt_no' => $v['RCPTNO'],
                'total_fee' => (float) $v['COSTS'],
                'self_fee' => (float) $v['GRZF'] ?? 0,
                'reduce_fee' => (float) $v['JJZF'] ?? 0,
            ];
        }

        return $lists;
    }
}
