<?php
declare(strict_types=1);

namespace App\Utils\Transfer\HisHttpClient;

use App\Utils\Transfer\HttpTransferAbstract;

class ClientFactory
{

    /**
     * Get Client Transfer Class
     * @param string $name
     * @return HttpTransferAbstract
     */
    public static function getClientTransfer(string $name): HttpTransferAbstract
    {
        $is_mock = config('hisservice.'. $name. '.is_mock');

        return match ($is_mock) {
            false => new ClientHttpTransfer($name),
            true => new ClientMockHttpTransfer($name),
        };
    }
}
