<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class () extends Migration {

    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('outpatient_payment_records', static function (Blueprint $table) {
            $table->id();
            $table->integer('relate_order_id')->index()->comment('关联订单表ID');
            $table->integer('relate_patient_id')->index()->comment('关联患者表ID');
            $table->string('dept_id', 10)->comment('科室ID');
            $table->string('dept_name', 20)->comment('科室名称');
            $table->string('doctor_id', 20)->comment('医生ID');
            $table->string('doctor_name', 20)->comment('医生名称');
            $table->string('visit_date', 10)->index()->comment('就诊日期');
            $table->integer('total_amount')->comment('处方总金额');
            $table->tinyInteger('pre_settle_status')->index()->comment('预结算状态 0 无需预结算 1 已预结算 2 已取消预结算');
            $table->timestamp('pre_settle_at')->nullable()->comment('预结算时间');
            $table->timestamp('cancel_pre_settle_at')->nullable()->comment('取消预结算时间');
            $table->text('extra_info')->comment('额外的门诊信息');
            $table->timestamps();
            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('outpatient_payment_records');
    }
};
