<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class () extends Migration {

    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('send_message_jobs', static function (Blueprint $table) {
            $table->id();
            $table->integer('relate_order_id')->default(0)->index()->comment('关联订单表ID');
            $table->integer('relate_patient_id')->index()->comment('关联患者表ID');
            $table->tinyInteger('type')->index()->comment('消息类型 消息类型 1模板消息 2长期订阅消息 3一次性订阅消息 4客服消息');
            $table->string('template_id', 64)->comment('推送消息ID');
            $table->string('scene', 32)->default('')->comment('订阅场景');
            $table->text('content')->comment('序列化推送消息内容');
            $table->unsignedTinyInteger('number')->default(0)->index()->comment('已尝试发送次数');
            $table->unsignedTinyInteger('status')->default(0)->index()->comment('状态 0尚未推送 1已推送 2推送异常');
            $table->string('msg_id', 32)->default('')->comment('推送后返回的msg_id');
            $table->string('fail_reason')->default('')->comment('失败原因');
            $table->timestamp('sent_at')->nullable()->comment('推送时间');
            $table->timestamps();
            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('send_message_jobs');
    }
};
