<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class () extends Migration {

    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('inpatient_recharge_records', static function (Blueprint $table) {
            $table->id();
            $table->integer('relate_id')->index()->comment('关联住院表ID');
            $table->integer('relate_order_id')->index()->comment('关联订单表ID');
            $table->string('dept_id', 10)->comment('科室ID');
            $table->string('dept_name', 20)->comment('科室名称');
            $table->string('doctor_id', 20)->comment('医生ID');
            $table->string('doctor_name', 20)->comment('医生名称');
            $table->integer('recharge_amount')->comment('充值金额');
            $table->text('extra_info')->comment('额外的就医信息');
            $table->timestamps();
            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('inpatient_recharge_records');
    }
};
